Subject: bug#27736: OSX 10.6.8: Building from master branch fails.

From: Keith David Bershatsky <[email-masked]>
Date: Mon, 17 Jul 2017 11:05:34 -0700

I'll keep working on debugging.  At the moment, I'm leaning towards believing that it is a never-ending loop that is trying to find `org-element-update-syntax`.  That is why there is no error.

The git command cannot be located because its location has not been added to the $PATH.  I like to limit the build to the absolute bare minimum, and the directory containing git has a bunch of other stuff that Emacs would see as being available and automatically install them.  So, I'd need to add a bunch of exclusion lines to the configuration of Emacs to get the same results of a barebones build.  The only thing extra that doesn't come with 10.6.8 and the optional Developer tools are the fairly recent versions of autoconf and automake, which are in a directory all by themselves and I add that autoconf/automake directory to the $PATH before building.

server:emacs HOME$ make V=1
make -C lib all
make[1]: Nothing to be done for `all'.
make -C lib-src all
make[1]: Nothing to be done for `all'.
make -C src VCSWITNESS='$(srcdir)/../.git/logs/HEAD' all
make[1]: Circular bootstrap-emacs <- temacs dependency dropped.
make -C ../admin/unidata all EMACS="../../src/bootstrap-emacs"
make[2]: Nothing to be done for `all'.
make -C ../admin/charsets all
make[2]: Nothing to be done for `all'.
make -C ../admin/unidata charscript.el
make[2]: Nothing to be done for `charscript.el'.
make -C ../admin/unidata all EMACS="../../src/bootstrap-emacs"
make[2]: Nothing to be done for `all'.
make -C ../admin/charsets cp51932.el
make[2]: Nothing to be done for `cp51932.el'.
make -C ../admin/charsets eucjp-ms.el
make[2]: Nothing to be done for `eucjp-ms.el'.
make -C ../nextstep all
make -C ../src emacs
make[3]: Circular bootstrap-emacs <- temacs dependency dropped.
make -C ../admin/unidata all EMACS="../../src/bootstrap-emacs"
make[4]: Nothing to be done for `all'.
make -C ../admin/charsets all
make[4]: Nothing to be done for `all'.
make -C ../admin/unidata charscript.el
make[4]: Nothing to be done for `charscript.el'.
make -C ../admin/unidata all EMACS="../../src/bootstrap-emacs"
make[4]: Nothing to be done for `all'.
make -C ../admin/charsets cp51932.el
make[4]: Nothing to be done for `cp51932.el'.
make -C ../admin/charsets eucjp-ms.el
make[4]: Nothing to be done for `eucjp-ms.el'.
make -C lisp all
make -C ../leim all EMACS="../src/emacs"
make[2]: Nothing to be done for `all'.
make -C ../admin/grammars all EMACS="../../src/emacs"
make[2]: Nothing to be done for `all'.
EMACSLOADPATH= '../src/emacs' -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)'  -f batch-byte-compile org/org-timer.el